export enum GridId {
  AUTOMATED_SUITE_EXECUTION_COMPARATOR = 'automated-suite-execution-comparator',
  AUTOMATION_PROGRAMMER_ASSIGNED = 'automation-programmer-assigned',
  AUTOMATION_PROGRAMMER_GLOBAL = 'automation-programmer-global',
  AUTOMATION_PROGRAMMER_TREAT = 'automation-programmer-treat',
  AVAILABLE_EXECUTION_ENVIRONMENTS = 'available-execution-environments',
  AVAILABLE_TEST_PLAN_ITEMS = 'available-test-plan-items',
  CAMPAIGN_FOLDER_VIEW_ISSUE = 'campaign-folder-view-issue',
  CAMPAIGN_TEST_PLAN = 'campaign-test-plan',
  CAMPAIGN_VIEW_ISSUE = 'campaign-view-issue',
  EXECUTION_STEP_ISSUES = 'execution-step-issues',
  EXECUTION_VIEW_COVERAGES = 'execution-view-coverages',
  EXECUTION_VIEW_ISSUES = 'execution-view-issues',
  EXPLORATORY_SESSION_EXECUTIONS = 'exploratory-session-executions',
  FAILURE_DETAIL_ISSUE = 'failure-detail-issue',
  FUNCTIONAL_TESTER_GLOBAL_VIEW = 'functional-tester-global-view',
  FUNCTIONAL_TESTER_READY_FOR_TRANSMISSION = 'functional-tester-ready-for-transmission',
  FUNCTIONAL_TESTER_TO_BE_VALIDATED = 'functional-tester-to-be-validated',
  ITERATION_AUTOMATED_SUITE = 'iteration-automated-suite',
  ITERATION_TEST_PLAN = 'iteration-test-plan',
  ITERATION_VIEW_ISSUE = 'iteration-view-issue',
  ITPI_SEARCH = 'itpi-search',
  PROJECT_FILTER = 'project-filter',
  PROJECT_MILESTONES = 'project-milestones',
  PROJECT_PICKER = 'project-picker',
  REQUIREMENT_SEARCH = 'requirement-search',
  REQUIREMENT_VERSIONS_GRID = 'requirement-versions-grid',
  REQUIREMENT_VERSION_LINKED_LOW_LEVEL = 'requirement-version-linked-low-level',
  REQUIREMENT_VERSION_VIEW_ISSUE = 'requirement-version-view-issue',
  REQUIREMENT_VERSION_VIEW_LINK = 'requirement-version-view-link',
  REQUIREMENT_VERSION_VIEW_VERIFYING_TC = 'requirement-version-view-verifying-tc',
  SESSION_OVERVIEW_VIEW_ISSUE = 'session-overview-view-issue',
  SPRINT_VIEW_ISSUE = 'sprint-view-issue',
  SPRINT_VIEW_OVERALL_EXEC_PLAN = 'sprint-view-overall-exec-plan',
  SPRINT_REQ_VERSIONS_LINKED = 'sprint-req-versions-linked',
  SPRINT_REQ_VERSION_TEST_PLAN = 'sprint-req-versions-test-plan',
  SPRINT_REQ_VERSION_ISSUE_EXECUTION = 'sprint-req-versions-issue-execution',
  SQUASH_AUTOM_TEST_CASE_LIST = 'squash-autom-test-case-list',
  SYSTEM_AUTOM_JIRA_SYNCHRONISATIONS = 'system-autom-jira-synchronisations',
  SYSTEM_XSQUASH4GITLAB_SYNCHRONISATIONS = 'system-xsquash4gitlab-synchronisations',
  SYSTEM_XSQUASH4JIRA_SYNCHRONISATIONS = 'system-xsquash4jira-synchronisations',
  TC_BY_REQUIREMENT = 'tc-by-requirement',
  TEST_CASE_SEARCH = 'test-case-search',
  TEST_CASE_VIEW_CALLED_TEST_CASE = 'test-case-view-called-test-case',
  TEST_CASE_VIEW_COVERAGES = 'test-case-view-coverages',
  TEST_CASE_VIEW_DATASETS_TABLE = 'test-case-view-datasets',
  TEST_CASE_VIEW_ISSUE = 'test-case-view-issue',
  TEST_SUITE_AUTOMATED_SUITE = 'test-suite-automated-suite',
  TEST_SUITE_TEST_PLAN = 'test-suite-test-plan',
  TEST_SUITE_VIEW_ISSUE = 'test-suite-view-issue',
}

export function isSearchGrid(gridId: string): boolean {
  return [
    GridId.REQUIREMENT_SEARCH.toString(),
    GridId.TEST_CASE_SEARCH.toString(),
    GridId.TC_BY_REQUIREMENT.toString(),
    GridId.ITPI_SEARCH.toString(),
  ].includes(gridId);
}
